<div class="d-flex justify-content-between align-items-start flex-wrap mb-2">
    <div class="d-flex justify-content-start mb-2">
        <h3 class="d-flex align-items-center mb-0">
            <a class="btn btn-light d-flex align-items-center mr-2" style="font-size: 18px" (click)="goBack()">
                <i class="fa fa-chevron-left" aria-hidden="true"></i>
            </a>
            Create {{view}}
        </h3>
    </div>
    <div class="d-flex justify-content-end mb-2">
        <button class="btn btn-primary d-flex align-items-center" [disabled]="!data.valid || creating" style="font-size: 18px" 
            (click)="create()"><span *ngIf="creating" class="spinner-border spinner-border-sm mr-2" role="status" aria-hidden="true"></span>Create</button>
    </div>
</div>
<div [ngSwitch]="view">
    <products *ngSwitchCase="'properties'" [product]="data"></products>
    <users *ngSwitchCase="'users'" [user]="data"></users>
</div>
<div class="d-flex justify-content-center mb-2">
    <button class="btn btn-primary d-flex align-items-center" [disabled]="!data.valid || creating" style="font-size: 18px"
        (click)="create()"><span *ngIf="creating" class="spinner-border spinner-border-sm mr-2" role="status" aria-hidden="true"></span>Create</button>
</div>